curl --request GET \
--url https://public-api.stora.co/2025-09/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contacts": [
{
"id": "con_0ac0514ed0711463",
"accounting_code": "ACC-CODE",
"address": null,
"company_registration_number": null,
"created_at": "2025-02-21T14:41:00Z",
"email": "jane@doe.com",
"full_name": "Jane Doe",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": null,
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
},
{
"id": "con_0ac0514ed0711462",
"accounting_code": "ACC-CODE",
"address": null,
"company_registration_number": null,
"created_at": "2025-02-20T14:41:00Z",
"email": "john@doe.com",
"full_name": "John Doe",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": "cus_SqaLe6rJhviOGm",
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Contacts
Retrieve a list of all contacts.
Required authorization scope: public.contact:read
curl --request GET \
--url https://public-api.stora.co/2025-09/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contacts": [
{
"id": "con_0ac0514ed0711463",
"accounting_code": "ACC-CODE",
"address": null,
"company_registration_number": null,
"created_at": "2025-02-21T14:41:00Z",
"email": "jane@doe.com",
"full_name": "Jane Doe",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": null,
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
},
{
"id": "con_0ac0514ed0711462",
"accounting_code": "ACC-CODE",
"address": null,
"company_registration_number": null,
"created_at": "2025-02-20T14:41:00Z",
"email": "john@doe.com",
"full_name": "John Doe",
"identity_check": {
"required": false,
"status": "not_attempted"
},
"marketing_source": null,
"metadata": {},
"phone_number": null,
"source": null,
"status": "lead",
"stripe_customer_id": "cus_SqaLe6rJhviOGm",
"tax_id": null,
"tenancies_count": 0,
"type": null,
"updated_at": "2025-02-22T14:41:00Z",
"use_case": null
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Authorizations
Bearer Token necessary to use API
Query Parameters
Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Sorting by attribute. Default created_at
created_at, updated_at, full_name Sorting by ASC or DESC direction. Default DESC
ASC, DESC Find by email. Supports multiple values separated by a comma.
Search contacts by name, email, or phone (fuzzy match). BETA
Filter by type. Supports multiple values separated by a comma. unspecified will filter by null value.
domestic, company, student, charity, local_authority, unspecified Filter by source. Supports multiple values separated by a comma. unspecified will filter by null value.
pre_open, incomplete_booking, registered_interest, price_interest, quotation_request, booking, popup, external_enquiry, phone, walkin, import, other, unspecified Filter by marketing source. Supports multiple values separated by a comma. unspecified will filter by null value.
used_before, recommendation, received_leaflet, seen_building_signs, seen_advert, facebook_marketplace, google_search, other_online_search, social_media, email, radio, other, unspecified Filter by use case. Supports multiple values separated by a comma. unspecified will filter by null value.
business_needs, moving_home, more_space, refurb, travelling, other, unspecified Filter by status. Supports multiple values separated by a comma.
lead, customer, churned Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.
Show child attributes
Show child attributes
{}
Was this page helpful?